import pickle
import logging

from PySide6.QtCore import QRunnable, Slot

from fixtracks.utils.signals import WriterSignals

class PickleWriter(QRunnable):
    signals = WriterSignals()

    def __init__(self, data, file_path):
        super().__init__()
        self.data = data
        self.file_path = file_path

    @Slot()
    def run(self):
        self.data.save(self.file_path)
        logging.info("Saving/pickling merged file to %s", self.file_path)
        self.data.save(self.file_path)
        self.signals.finished.emit(True)

class DataFrameWriter(QRunnable):
    signals = WriterSignals()

    def __init__(self, data, file_path):
        super().__init__(self)
        self.data = data
        self.file_path = file_path

    @Slot()
    def run(self):
        logging.info("Saving/pickling DataFrame to %s" % self.file_path)
        with open(self.file_path, 'wb') as f:
            pickle.dump(self.data, f)
        self.signals.finished.emit(True)